MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002527VCMIMechanics - Adventure Mappublic2016-09-29 16:532016-10-11 17:04
Reportermisiokles 
Assigned ToAVS 
PriorityhighSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version0.98g 
Target VersionFixed in Version0.99 
Summary0002527: Mistical Gardens, Sawmills etc. can be visited only once per game.
DescriptionOnce-per-week-visitable objects give rewards only for first visit. At start of the new week, objects still have flags 'visited'.
Steps To Reproduce1. Load attached saves.
2. It's day 7, end of the week.
3. Not far from Ciele, there's visited Mistical Garden.
4. Press End Turn.
5. New week begins, but Mistical Garden is still marked as visited.
Additional InformationVCMI daily build: 29-Sep-2016 14:54
TagsNo tags attached.
Attached Fileszip file icon misticalGardenSaves.zip [^] (874,985 bytes) 2016-09-29 16:53

- Relationships
related to 0002507resolvedAVS Windmill shows wrong message and not reset 

-  Notes
(0006772)
SXX (administrator)
2016-09-29 17:42

Yep latest hotfix for once visitable objects like corpse broken them, but Chocimier working on the fix.
(0006816)
SXX (administrator)
2016-10-09 14:11

So I broken it when merged PR214:
https://github.com/vcmi/vcmi/pull/214 [^]

So these commits:
https://github.com/vcmi/vcmi/commit/50b271393c036fdcee7c09124b02e7b52df90110 [^]
https://github.com/vcmi/vcmi/commit/bb05db90e53183bd67524ca54d5c317e1f5aa4fb [^]

Chocimier tried to fix it there:
https://github.com/Chocimier/vcmi/commit/381882b#diff-9369aa41e728a6efe54fb472c342b61bR1089 [^]

But this is wrong solution since it's try to apply netpack inside netpack and proper redesign needed. I hoped to fix it, but temporary I simply don't have time to do that and test solution properly.

So this have to be fixed before next release.
(0006817)
AVS (administrator)
2016-10-09 16:41

https://github.com/vcmi/vcmi/pull/236 [^]
(0006818)
AVS (administrator)
2016-10-09 16:45

fix particular issue is resolved in pr236
(0006822)
AVS (administrator)
2016-10-11 17:04

Fixed in https://github.com/vcmi/vcmi/pull/236 [^]

- Issue History
Date Modified Username Field Change
2016-09-29 16:53 misiokles New Issue
2016-09-29 16:53 misiokles File Added: misticalGardenSaves.zip
2016-09-29 17:42 SXX Note Added: 0006772
2016-09-29 17:56 SXX Relationship added related to 0002507
2016-10-09 13:04 SXX Assigned To => SXX
2016-10-09 13:04 SXX Status new => confirmed
2016-10-09 14:11 SXX Note Added: 0006816
2016-10-09 14:13 SXX Assigned To SXX =>
2016-10-09 14:13 SXX Priority normal => high
2016-10-09 14:13 SXX Severity feature => block
2016-10-09 15:42 AVS Assigned To => AVS
2016-10-09 15:42 AVS Status confirmed => assigned
2016-10-09 16:41 AVS Note Added: 0006817
2016-10-09 16:45 AVS Note Added: 0006818
2016-10-11 17:04 AVS Note Added: 0006822
2016-10-11 17:04 AVS Status assigned => resolved
2016-10-11 17:04 AVS Fixed in Version => 0.99
2016-10-11 17:04 AVS Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean